package com.cwhelp.common.utils;

import com.alibaba.fastjson.JSONObject;
import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

/**
 * @author: yan.y
 * @Description:
 * @Date: Created in 01:00 2019-08-27
 * @Modified by:
 */
public class HttpYoushangFapiaoUtilTest {

    @Test
    public void getVatInfoiceInfo() {
        JSONObject params = new JSONObject();
        params.put("fpdm","031001800304");
        params.put("fphm","00073818");
        params.put("kprq","2019-06-26");
        params.put("kjje","");
        params.put("jym","554287");
        JSONObject fapiaoInfo = HttpYoushangFapiaoUtil.getVatInfoiceInfo(params);
        String code = fapiaoInfo.getString("code");
        Assert.assertEquals("200",code);
    }
}